$font=Fira Code


auth {
    fingerprint {
        enabled = true
        ready_message = Scan fingerprint to unlock
        present_message = Scanning...
        retry_delay = 250 # in milliseconds
    }
}
# GENERAL
general {
  hide_cursor = true
  screencopy_mode = 0
  immediate_render = false
}

animation {
  bezier = linear, 1, 1, 0, 0
  animation = fade, 1, 1.8, linear
}

# BACKGROUND
background {
  path = screenshot
  blur_passes = 2
  #reload_time = 15
  #reload_cmd = echo $HOME/.config/lockpaper
  # blur_passes = 0
  crossfade_time = 1
}

# AUTO BACKGROUND
# AUTO BACKGROUND END

# Time-Hour
label {
    monitor =
    text = cmd[update:1000] echo "<span>$(date +"%I")</span>"
    color = rgba(255, 255, 255, 1)
    font_size = 125
    font_family = StretchPro
    position = -80, 290
    halign = center
    valign = center
    shadow_passes = 3
    shadow_size = 3
    shadow_color = rgba(0, 0, 0, 1)
}

# Time-Minute
label {
    monitor =
    text = cmd[update:1000] echo "<span>$(date +"%M")</span>"
    color = rgba(147, 196, 255, 1)
    font_size = 125
    font_family = StretchPro
    position = 0, 170
    halign = center
    valign = center
    shadow_passes = 3
    shadow_size = 3
    shadow_color = rgba(0, 0, 0,1)
}

# Day-Month-Date
label {
    monitor =
    text = cmd[update:1000] echo -e "$(date +"%d %B")"
    color = rgba(255, 255, 255, 1)
    font_size = 22
    font_family = Suisse Int'l Mono
    position = 20, 92
    halign = center
    valign = center
    shadow_passes = 3
    shadow_size = 5
    shadow_color = rgba(0, 0, 0, 1)
}

# USER AVATAR
image {
  monitor = 
  path = $HOME/.face
  rounding = 25
  size = 200
  # border_color = rgb(0, 0, 0)
  border_size = 0
  position = 0, -100
  halign = center
  valign = center
}

# INPUT FIELD
input-field {
    monitor =
    size = 300, 60
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.2 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = rgba(255, 255, 255, 1)
    inner_color = rgba(0, 0, 0, 1)
    font_color = rgb(200, 200, 200)
    fade_on_empty = false
    font_family = SF Pro Display Bold
    placeholder_text = <i><span foreground="##ffffff99">Password...</span></i>
    hide_input = false
    position = 0, -290
    halign = center
    valign = center
}

# CURRENT SONG
label {
    monitor = eDP-1
    text = cmd[update:1000] echo "$(~/.config/hypr/scripts/songdetail.sh)" 
    color = rgba(147, 196, 255, 1)
    font_size = 18
    font_family = JetBrains Mono Nerd, SF Pro Display Bold
    position = 0, 20
    halign = center
    valign = bottom
}

# Battery
label {
  monitor = eDP-1
  text = cmd[update:1000] /home/nathan/.config/hypr/scripts/battery.sh
  color = rgb(255, 255, 255)
  font_size = 20
  font_family = $font
  position = -25, 10
  halign = right
  valign = bottom
}


# Stats
label {
  monitor = eDP-1
  text = cmd[update:15000] /home/nathan/.config/hypr/scripts/stats.sh
  color = rgb(255, 255, 255)
  font_size = 10
  font_family = Symbols Nerd Font Mono
  position = 10, 10
  halign = left
  valign = bottom
}
